Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface Container

All Superinterfaces:
  javax.xml.transform.SourceLocator

All Known Implementing Classes:
  ComputedExpression, GlobalVariable, Pattern, Procedure, StyleElement, XQueryExpression, XQueryFunction

public interface Container
extends javax.xml.transform.SourceLocator

A Container is something that can act as the parent of an expression. It is either an expression that can have subexpressions (which rules out Values), or an object such as a function, a template, or an attribute set that is not itself an expression but that can contain expressions

Method Summary
`Executable` | `getExecutable()` Get the Executable (representing a complete stylesheet or query) of which this Container forms part

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Method Detail

### getExecutable

    public Executable getExecutable()

  Get the Executable (representing a complete stylesheet or query) of which this Container forms part

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD